## org.eclipse.emf.ecore.xml.type
Class InvalidDatatypeValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.emf.ecore.xml.type.InvalidDatatypeValueException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidDatatypeValueException

extends java.lang.RuntimeException

Data type exception for invalid values.

See Also:
  Serialized Form

Constructor Summary
`InvalidDatatypeValueException(java.lang.String reason)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidDatatypeValueException

    public InvalidDatatypeValueException(java.lang.String reason)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.